# Allo-GG
> Allo-GG by Heuzef & Kaeim6C ©2018
> heuzef.com / kae.im

---

# Installation de Allo-GG sur un Pi Zero WH avec Rasbian

1) Installer Raspbian LITE :
https://www.raspberrypi.org/documentation/installation/installing-images/README.md

2) En tant que root, activer le serveur SSH, la connexion sur un réseau wifi et la timezone sur Europe/Paris (attention a l'agencement en QWERTY !) :

```
pi
raspberry
sudo su
raspi-config
```

> Option N2 + P2 + I2

Après un redémarrage du système, la commande ```ifconfig wlan0``` permet d'afficher la nouvelle adresse IP du Pi.

3) Exécuter le script d'installation en tant que root :

```
curl -sSL https://raw.githubusercontent.com/heuzef/Allo-GG/master/install.sh | sh
```
---

4) Après le redémarrage, se connecter sur le compte utilisateur allo-gg (mot de passe : "allo-gg") et redéfinir un mot de passe pour ce compte et celui de root, puis supprimer l'utilisateur par défaut "pi" :

```
sudo su
passwd allo-gg
passwd root
deluser -f --remove-home pi
```

Bien joué 👍
L'interface web est maintenant accessible sur l'adresse IP de votre PI Z.

# Liste des composants :

- Raspberry Pi Zero WH
- Alimentation Micro-USB 5V3A 1M
- Carte mémoire microSD 8 Go High Capacity + Adaptateur SD
- Câble HDMI mâle / mini HDMI mâle
- Câble adaptateur Micro USB OTG / USB A Femelle
- Relais 2 canaux avec indicateurs LED
- Fils dupont Femelle / Femelle 15cm
